From linux-usb-devel-admin@lists.sourceforge.net Sat Sep  3 01:52:25 2005
From: Harald Welte <laforge@gnumonks.org>
Message-ID: <20050903092708.GH4415@rama.de.gnumonks.org>
Subject: USB: fix usbdevice_fs header breakage
Date: Sat, 3 Sep 2005 11:27:08 +0200

[USBDEVFS] fix inclusion of <linux/compat.h> to avoud header mess

Without moving the include of compat.h down, userspace programs that use
usbdevice_fs.h end up including half the kernel includes (and eventually
fail to compile).

Signed-off-by: Harald Welte <laforge@netfilter.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 include/linux/usbdevice_fs.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/include/linux/usbdevice_fs.h	2005-08-28 16:41:01.000000000 -0700
+++ gregkh-2.6/include/linux/usbdevice_fs.h	2005-09-12 11:02:38.000000000 -0700
@@ -32,7 +32,6 @@
 #define _LINUX_USBDEVICE_FS_H
 
 #include <linux/types.h>
-#include <linux/compat.h>
 
 /* --------------------------------------------------------------------- */
 
@@ -125,6 +124,7 @@ struct usbdevfs_hub_portinfo {
 };
 
 #ifdef CONFIG_COMPAT
+#include <linux/compat.h>
 struct usbdevfs_urb32 {
 	unsigned char type;
 	unsigned char endpoint;
